%define alphatag a3
%define module pyusb

Name: python-%{module}
Version: 1.0.0
Release: %mkrel 6
Summary: Python bindings for libusb
Group: Development/Python
License: BSD
URL: http://pyusb.sourceforge.net/
Source0: http://downloads.sourceforge.net/%{module}/%{module}-%{version}%{alphatag}.zip
BuildRequires: pkgconfig(python)
BuildRequires: python-setuptools
BuildRequires: libusb-devel
BuildArch: noarch
Provides: pyusb = %{version}-%{release}
Obsoletes: pyusb < 1.0.0-4

%description
PyUSB provides easy USB access to python. The module contains classes and 
methods to support most USB operations.

%package -n python3-%{module}
Summary: Python 3 bindings for libusb
Group: Development/Python
BuildRequires: pkgconfig(python3)
BuildRequires: python3-setuptools

%description -n python3-%{module}
PyUSB provides easy USB access to python 3. The module contains classes and 
methods to support most USB operations.

%prep
%setup -q -n %{module}-%{version}%{alphatag}
cp -a . %{py3dir} 


%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build
pushd %{py3dir} 
CFLAGS="$RPM_OPT_FLAGS" %{__python3} setup.py build
popd

%install
pushd %{py3dir}
%{__python3} setup.py install -O1 --skip-build --root %{buildroot}
popd

%{__python} setup.py install -O1 --skip-build --root %{buildroot}
 

%files
%doc LICENSE README.rst
%{python_sitelib}/*

%files -n python3-%{module}
%doc LICENSE README.rst
%{python3_sitelib}/*



%changelog
* Tue Oct 22 2013 umeabot <umeabot> 1.0.0-6.mga4
+ Revision: 544241
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.0.0-5.mga4
+ Revision: 499276
- Rebuild to add different pythonegg provides for python 2 and 3

* Tue Sep 17 2013 philippem <philippem> 1.0.0-4.mga4
+ Revision: 480918
- rename pyusb as python-pyusb
- rename pyusb as python-pyusb

* Fri Aug 16 2013 philippem <philippem> 1.0.0-3.mga4
+ Revision: 466914
- update to 1.0.0a3, add Python 3

* Sun Jan 13 2013 umeabot <umeabot> 1.0.0-2.mga3
+ Revision: 379764
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Oct 22 2011 philippem <philippem> 1.0.0-1.mga2
+ Revision: 157399
- update to 1.0.0-a1
- build as noarch

* Thu May 12 2011 tmb <tmb> 0.4.1-8.mga1
+ Revision: 97657
- fix group
- drop buildroot
- imported package pyusb

